## ats2-lang 0.4.0

=== contrib/ats2cpp/TEST/Makefile ===
######
#
PATSCC=$(PATSHOME)/bin/patscc
PATSOPT=$(PATSHOME)/bin/patsopt
#
######
#
CXXFLAGS = $(MYCFLAGS)
#
######
#
MYCFLAGS := -fpermissive -w
#
MYCFLAGS += -DATS_MEMALLOC_LIBC
#
MYCFLAGS += -D_ATS_CCOMP_PRELUDE_NONE_
#
MYCFLAGS += -D_ATS_CCOMP_EXCEPTION_NONE_
MYCFLAGS += -D_ATS_CCOMP_RUNTIME_TRYWITH_NONE_
#
MYCFLAGS += -D_ATS_CCOMP_PRELUDE_USER_='"pats_ats2cpp_prelude.h"'
#
# MYCFLAGS += -D_ATSTYPE_VAR_SIZE_=1024
#
MYCFLAGS += -I${PATSHOME}/contrib/ats2cpp
MYCFLAGS += -I${PATSHOME}/contrib/ats2cpp/H
MYCFLAGS += -I${PATSHOME}/contrib/ats2cpp/ccomp
#
######

CC=gcc
CPP=g++

######

all::

######
#
all:: \
test01
test01: \
test01_dats.c; $(CPP) $(CXXFLAGS) -o $@ $<
test01_dats.c: test01.dats; $(PATSOPT) -o $@ -d $<
#
regress:: test01; ./$<
cleanall:: ; rm -f test01
#
######
#
all:: \
test02
test02: \
test02_dats.c; $(CPP) $(CXXFLAGS) -o $@ $<
test02_dats.c: test02.dats; $(PATSOPT) -o $@ -d $<
#
regress:: test02; ./$<
cleanall:: ; rm -f test02
#
######

testall:: all
testall:: regress
testall:: cleanall

######

clean:: ; rm -f *~
clean:: ; rm -f *_?ats.c
clean:: ; rm -f *_?ats.o

######

cleanall:: clean

###### end of [Makefile] ######

=== contrib/atscntrb/atscntrb-hx-libjansson/TEST/Makefile ===
#
#
# This Makefile is automatically generated
# from executing the following command-line:
#
# make -f Makefile.gen
#
#

######

CC=gcc
CCOPT=$(CC) -std=c99 -D_GNU_SOURCE

######

PATSHOMEQ="$(PATSHOME)"

######

PATSCC=$(PATSHOMEQ)/bin/patscc
PATSOPT=$(PATSHOMEQ)/bin/patsopt

######

CFLAGS += -I./../..
CFLAGS += -I$(PATSHOMEQ)
CFLAGS += -I$(PATSHOMEQ)/ccomp/runtime

######

all::
regress::
cleanall::

######

LNS=ln -s
RMF=rm -f

######
#
all:: \
test01
test01: \
test01_dats.c ; \
$(CCOPT) -DATS_MEMALLOC_LIBC $(CFLAGS) -o $@ $< -ljansson
#
regress:: test01 ; ./$<
cleanall:: ; $(RMF) test01
#
######
#
all:: \
test02
test02: \
test02_dats.c ; \
$(CCOPT) -DATS_MEMALLOC_LIBC $(CFLAGS) -o $@ $< -ljansson
#
regress:: test02 ; ./$<
cleanall:: ; $(RMF) test02
#
######
#
all:: \
github_commit_query
github_commit_query: \
github_commit_query_dats.c ; \
$(CCOPT) -DATS_MEMALLOC_LIBC $(CFLAGS) -o $@ $< -lcurl -ljansson
#
regress:: github_commit_query ; ./$<
cleanall:: ; $(RMF) github_commit_query
#
######

%_dats.c: %.dats ; $(PATSOPT) -o $@ -d $<

######

testall:: all
testall:: regress
testall:: cleanall

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.o
clean:: ; $(RMF) *_?ats.c

######

cleanall:: clean

###### end of [Makefile] ######

=== contrib/libatscc2pl/ATS2-0.3.2/TEST/Makefile ===
#
# A simple Makefile
#
######

PERL=perl

######

PATSCC=${PATSHOME}/bin/patscc
PATSOPT=${PATSHOME}/bin/patsopt
ATSCC2PL=${PATSHOME}/bin/atscc2pl

######
#
all:: \
test01
test01: test01_dats.pl
test01_dats.c: test01.dats; $(PATSOPT) -o $@ -d $<
test01_dats.pl: test01_dats.c; $(ATSCC2PL) -o $@ -i $<
#
regress:: test_test01
test_test01: test01_dats.pl; $(PERL) $<
#
######
#
all:: \
test02
test02: test02_dats.pl
test02_dats.c: test02.dats; $(PATSOPT) -o $@ -d $<
test02_dats.pl: test02_dats.c; $(ATSCC2PL) -o $@ -i $<
#
regress:: test_test02
test_test02: test02_dats.pl; $(PERL) $<
#
######
#
all:: \
test03
test03: test03_dats.pl
test03_dats.c: test03.dats; $(PATSOPT) -o $@ -d $<
test03_dats.pl: test03_dats.c; $(ATSCC2PL) -o $@ -i $<
#
regress:: test_test03
test_test03: test03_dats.pl; $(PERL) $<
#
######

RMF=rm -f

######

testall:: all
testall:: regress
testall:: cleanall

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c

######

cleanall:: clean
cleanall:: ; $(RMF) *_?ats.pl

######

###### end of [Makefile] ######

=== contrib/libatscc2js/BUCS320/GraphStreamize/TEST/Makefile ===
#
# A simple Makefile
#
######

PATSCC=${PATSHOME}/bin/patscc
PATSOPT=${PATSHOME}/bin/patsopt
ATSCC2JS=${PATSHOME}/bin/atscc2js

######

NODEJS=nodejs

######

all::

######
#
all:: \
QueenPuzzle_dfs_dats.js
QueenPuzzle_dfs_dats.c: \
QueenPuzzle_dfs.dats; $(PATSOPT) -o $@ -d $<
QueenPuzzle_dfs_dats.js: \
QueenPuzzle_dfs_dats.c; $(ATSCC2JS) -o $@ -i $<
#
regress:: QueenPuzzle_dfs_dats.js; $(NODEJS) $<
#
######
#
all:: \
QueenPuzzle_bfs_dats.js
QueenPuzzle_bfs_dats.c: \
QueenPuzzle_bfs.dats; $(PATSOPT) -o $@ -d $<
QueenPuzzle_bfs_dats.js: \
QueenPuzzle_bfs_dats.c; $(ATSCC2JS) -o $@ -i $<
#
regress:: QueenPuzzle_bfs_dats.js; $(NODEJS) $<
#
######

testall:: all
testall:: regress
testall:: cleanall

######

RMF=rm -f

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c

######

cleanall:: clean
cleanall:: ; $(RMF) *_?ats.js

######

###### end of [Makefile] ######

=== utils/myatscc/node_modules/atscntrb-hx-parcomb/TEST/Makefile ===
#
# A simple Makefile
#

######

PATSCC=$(PATSHOME)/bin/patscc
PATSOPT=$(PATSHOME)/bin/patsopt

######

MYLIBIES :=
MYLIBIES += ./../mylibies.sats
MYLIBIES += ./../mylibies.dats

######
#
all:: \
tokenizer
regress:: \
tokenizer; $(CAT) tokenizer.dats | ./$< 
tokenizer: \
tokenizer.dats ; \
$(PATSCC) -O2 -D_GNU_SOURCE -DATS_MEMALLOC_LIBC -o $@ $< $(MYLIBIES)
#
######

CAT=cat
RMF=rm -f

######

testall:: all
testall:: regress
testall:: cleanall

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c
clean:: ; $(RMF) *_?ats.o

######

cleanall:: clean
cleanall:: ; $(RMF) tokenizer

###### end of [Makefile] ######

=== npm-utils/contrib/atscntrb/atscntrb-hx-libcairo/TUTORIAL/CODE/Makefile ===
#
# A simple Makefile
#

######

ATSHOMEQ = "$(ATSHOME)"

######

ATSDOC = $(ATSHOMEQ)/bin/atsdoc

######

PATSHOMEQ = "$(PATSHOME)"

######

PATSCC = $(PATSHOMEQ)/bin/patscc
PATSOPT = $(PATSHOMEQ)/bin/patsopt

######

XRLIBS=$(shell pkg-config cairo --libs)
XRCFLAGS=$(shell pkg-config cairo --cflags)

######

all::
regress::
cleanall::

######

all:: tutprog_hello
tutprog_hello: tutprog_hello.dats ; \
  $(PATSCC) -I./../../.. $(XRCFLAGS) -o $@ $< $(XRLIBS)
regress:: tutprog_hello; ./$<
cleanall:: ; $(RMF) tutprog_hello

######

all:: tutprog_sqrcirc
tutprog_sqrcirc: tutprog_sqrcirc.dats ; \
  $(PATSCC) -I./../../.. $(XRCFLAGS) -o $@ $< $(XRLIBS)
regress:: tutprog_sqrcirc; ./$<
cleanall:: ; $(RMF) tutprog_sqrcirc

######

all:: tutprog_showtext
tutprog_showtext: tutprog_showtext.dats ; \
  $(PATSCC) -I./../../.. $(XRCFLAGS) -o $@ $< $(XRLIBS)
regress:: tutprog_showtext; ./$<
cleanall:: ; $(RMF) tutprog_showtext

######

all:: tutprog_linecap
tutprog_linecap: tutprog_linecap.dats ; \
  $(PATSCC) -I./../../.. $(XRCFLAGS) -o $@ $< $(XRLIBS)
regress:: tutprog_linecap; ./$<
cleanall:: ; $(RMF) tutprog_linecap

all:: tutprog_linejoin
tutprog_linejoin: tutprog_linejoin.dats ; \
  $(PATSCC) -I./../../.. $(XRCFLAGS) -o $@ $< $(XRLIBS)
cleanall:: ; $(RMF) tutprog_linejoin

######

all:: illuwavy
illuwavy: illuwavy.dats ; \
  $(PATSCC) -DATS_MEMALLOC_LIBC -I./../../.. $(XRCFLAGS) -o $@ $< -lm $(XRLIBS)
regress:: illuwavy; ./$<
cleanall:: ; $(RMF) illuwavy

all:: illucircmot
illucircmot: illucircmot.dats ; \
  $(PATSCC) -DATS_MEMALLOC_LIBC -I./../../.. $(XRCFLAGS) -o $@ $< -lm $(XRLIBS)
regress:: illucircmot; ./$<
cleanall:: ; $(RMF) illucircmot

######

testall:: all
testall:: regress
testall:: cleanall

######

RMF=rm -f

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_atxt.txt
clean:: ; $(RMF) *_atxt.dats
clean:: ; $(RMF) *_dats.c

cleanall:: clean
cleanall:: ; $(RMF) *.png

###### end of [Makefile] ######

=== npm-utils/contrib/atscntrb/atscntrb-hx-libsdl2/SATS/DOCUGEN/Makefile ===
#
#
# This Makefile is automatically generated
# from executing the following command-line:
#
# make -f Makefile.gen
#
#

######

ATSHOMEQ="$(ATSHOME)"
ATSCC=$(ATSHOMEQ)/bin/atscc
ATSOPT=$(ATSHOMEQ)/bin/atsopt
ATSDOC=$(ATSHOMEQ)/bin/atsdoc

######

PATSHOMEQ="$(PATSHOME)"

######

SHAREDOCU=$(PATSHOMEQ)/share/DOCUGEN

######

LDPATH :=
LDPATH += -L$(PATSHOME)/ccomp/atslib/lib

######

INCLUDE:=-I $(PATSHOMEQ)/src
INCLATS:=-IATS $(SHAREDOCU) -IATS $(PATSHOMEQ) -IATS $(ATSHOMEQ)

######

CAT=cat

######

all:: all_html

######

DECLATEXT=   declatext_sats.o   declatext_dats.o 
declatext_sats.o: ;   $(ATSCC) $(INCLUDE) $(INCLATS) -c $(ATSCCFLAGS) $(SHAREDOCU)/declatext.sats
declatext_dats.o: ;   $(ATSCC) $(INCLUDE) $(INCLATS) -c $(ATSCCFLAGS) $(SHAREDOCU)/declatext.dats

######

HTMLGENDECL=   htmlgendecl_sats.o   htmlgendecl_dats.o 
htmlgendecl_sats.o: ;   $(ATSCC) $(INCLUDE) $(INCLATS) -c $(ATSCCFLAGS) $(SHAREDOCU)/htmlgendecl.sats
htmlgendecl_dats.o: ;   $(ATSCC) $(INCLUDE) $(INCLATS) -c $(ATSCCFLAGS) $(SHAREDOCU)/htmlgendecl.dats

htmlgendecl_atxt.dats: ;   $(ATSDOC) --outcode $@ -i $(SHAREDOCU)/htmlgendecl.atxt > htmlgendecl_atxt.txt

######

all_html::

######

all_html:: HTML/SDL.html
HTML/SDL.html:   SDL_atxt.exe ; ./$< > $@
SDL_atxt.txt: SDL.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_atxt.exe: htmlgendecl_atxt.dats   SDL_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL:: ;   scp HTML/SDL.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_atxt.exe
cleanall:: ; $(RMF) HTML/SDL.html

all_html:: HTML/mybasis.html
HTML/mybasis.html:   mybasis_atxt.exe ; ./$< > $@
mybasis_atxt.txt: mybasis.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
mybasis_atxt.exe: htmlgendecl_atxt.dats   mybasis_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_mybasis:: ;   scp HTML/mybasis.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) mybasis_atxt.exe
cleanall:: ; $(RMF) HTML/mybasis.html

all_html:: HTML/SDL_error.html
HTML/SDL_error.html:   SDL_error_atxt.exe ; ./$< > $@
SDL_error_atxt.txt: SDL_error.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_error_atxt.exe: htmlgendecl_atxt.dats   SDL_error_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL_error:: ;   scp HTML/SDL_error.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_error_atxt.exe
cleanall:: ; $(RMF) HTML/SDL_error.html

all_html:: HTML/SDL_events.html
HTML/SDL_events.html:   SDL_events_atxt.exe ; ./$< > $@
SDL_events_atxt.txt: SDL_events.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_events_atxt.exe: htmlgendecl_atxt.dats   SDL_events_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL_events:: ;   scp HTML/SDL_events.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_events_atxt.exe
cleanall:: ; $(RMF) HTML/SDL_events.html

all_html:: HTML/SDL_render.html
HTML/SDL_render.html:   SDL_render_atxt.exe ; ./$< > $@
SDL_render_atxt.txt: SDL_render.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_render_atxt.exe: htmlgendecl_atxt.dats   SDL_render_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL_render:: ;   scp HTML/SDL_render.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_render_atxt.exe
cleanall:: ; $(RMF) HTML/SDL_render.html

all_html:: HTML/SDL_surface.html
HTML/SDL_surface.html:   SDL_surface_atxt.exe ; ./$< > $@
SDL_surface_atxt.txt: SDL_surface.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_surface_atxt.exe: htmlgendecl_atxt.dats   SDL_surface_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL_surface:: ;   scp HTML/SDL_surface.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_surface_atxt.exe
cleanall:: ; $(RMF) HTML/SDL_surface.html

all_html:: HTML/SDL_timer.html
HTML/SDL_timer.html:   SDL_timer_atxt.exe ; ./$< > $@
SDL_timer_atxt.txt: SDL_timer.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_timer_atxt.exe: htmlgendecl_atxt.dats   SDL_timer_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL_timer:: ;   scp HTML/SDL_timer.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_timer_atxt.exe
cleanall:: ; $(RMF) HTML/SDL_timer.html

all_html:: HTML/SDL_version.html
HTML/SDL_version.html:   SDL_version_atxt.exe ; ./$< > $@
SDL_version_atxt.txt: SDL_version.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_version_atxt.exe: htmlgendecl_atxt.dats   SDL_version_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL_version:: ;   scp HTML/SDL_version.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_version_atxt.exe
cleanall:: ; $(RMF) HTML/SDL_version.html

all_html:: HTML/SDL_video.html
HTML/SDL_video.html:   SDL_video_atxt.exe ; ./$< > $@
SDL_video_atxt.txt: SDL_video.atxt ; $(CAT) $< |   $(ATSDOC) --prefix __datatok --outcode htmlgendecl_data_atxt.dats > $@
SDL_video_atxt.exe: htmlgendecl_atxt.dats   SDL_video_atxt.txt $(DECLATEXT) $(HTMLGENDECL) ;   $(ATSCC) $(INCLUDE) $(INCLATS) -o $@ $<     $(DECLATEXT) $(HTMLGENDECL) $(LDPATH) -latsynmark -latsopt -latsdoc -lats -lgmp
upload_SDL_video:: ;   scp HTML/SDL_video.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/
clean:: ; $(RMF) SDL_video_atxt.exe
cleanall:: ; $(RMF) HTML/SDL_video.html


######

uploadall:: ;   scp HTML/*.html ats-hwxi,ats-lang@web.sourceforge.net:htdocs/LIBRARY/contrib/SDL2/SATS/DOCUGEN/HTML/

######

RMF=rm -f

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.o *_?ats.c
clean:: ; $(RMF) *_atxt.txt
clean:: ; $(RMF) *_atxt.dats

cleanall:: clean

###### end of [Makefile] ######

=== npm-utils/contrib/libats-/hwxi/OpenSCAD/TEST/Makefile ===
#
# A simple Makefile
#

######

PATSHOMEQ="$(PATSHOME)"

######

PATSCC=$(PATSHOMEQ)/bin/patscc
PATSOPT=$(PATSHOMEQ)/bin/patsopt

######

all::
regress::
cleanall::

######
#
all:: \
test00
test00: \
test00.dats ; \
$(PATSCC) \
-DATS_MEMALLOC_LIBC -o $@ $< -latslib -lm
#
regress:: test00; ./$<
cleanall:: ; $(RMF) test00
#
######
#
all:: \
test01
test01: \
test01.dats ; \
$(PATSCC) \
-DATS_MEMALLOC_LIBC -o $@ $< -latslib -lm
#
regress:: test01; ./$<
cleanall:: ; $(RMF) test01
#
######
#
all:: \
test02
test02: \
test02.dats ; \
$(PATSCC) \
-DATS_MEMALLOC_LIBC -o $@ $< -latslib -lm
#
regress:: test02; ./$<
cleanall:: ; $(RMF) test02
#
######
#
all:: \
test03
test03: \
test03.dats ; \
$(PATSCC) \
-DATS_MEMALLOC_LIBC -o $@ $< -latslib -lm
#
regress:: test03; ./$<
cleanall:: ; $(RMF) test03
#
######
#
all:: \
test04
test04: \
test04.dats ; \
$(PATSCC) \
-DATS_MEMALLOC_LIBC -o $@ $< -latslib -lm
#
regress:: test04; ./$<
cleanall:: ; $(RMF) test04
#
######
#
all:: \
test05
test05: \
test05.dats ; \
$(PATSCC) \
-DATS_MEMALLOC_LIBC -o $@ $< -latslib -lm
#
regress:: test05; ./$<
cleanall:: ; $(RMF) test05
#
######
#
all:: \
pepperfish-camera
pepperfish-camera: \
pepperfish-camera.dats ; \
$(PATSCC) \
-DATS_MEMALLOC_LIBC -o $@ $< -latslib -lm
#
regress:: pepperfish-camera; ./$<
cleanall:: ; $(RMF) pepperfish-camera
#
######

RMF=rm -f

######

testall:: all
testall:: regress
testall:: cleanall

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c
clean:: ; $(RMF) *_?ats.o

######

cleanall:: clean
cleanall:: ; $(RMF) test01_dats.scad
cleanall:: ; $(RMF) test02_dats.scad
cleanall:: ; $(RMF) test03_dats.scad
cleanall:: ; $(RMF) test04_dats.scad
cleanall:: ; $(RMF) test05_dats.scad
cleanall:: ; $(RMF) pepperfish-camera_dats.scad

###### end of [Makefile] ######

=== npm-utils/contrib/libats-/hwxi/teaching/BUCS/TEST/Makefile ===
######
#
# A simple Makefile
#
######

PATSHOMEQ="$(PATSHOME)"

######

PATSCC=$(PATSHOMEQ)/bin/patscc
PATSOPT=$(PATSHOMEQ)/bin/patsopt
PATSLIB=$(PATSHOMEQ)/ccomp/atslib/lib

######

all::

######

all:: \
test01
test01: \
test01.dats ; \
$(PATSCC) -DATS_MEMALLOC_LIBC -o $@ $<

######

all:: \
test_find
test_find: \
test_find.dats ; \
$(PATSCC) -DATS_MEMALLOC_LIBC -o $@ $<

######

all:: \
test_which
test_which: \
test_which.dats ; \
$(PATSCC) -DATS_MEMALLOC_LIBC -o $@ $<

######

all:: \
test_download
test_download: \
test_download.dats ; \
$(PATSCC) -DATS_MEMALLOC_LIBC -o $@ $<

######

all:: \
test_lineto
test_lineto: \
test_lineto.dats ; \
$(PATSCC) -DATS_MEMALLOC_LIBC -o $@ $< -latslib

######
#
all:: \
test_intinf
test_intinf: \
test_intinf.dats ; \
$(PATSCC) -O2 \
-I$(PATSHOME)/contrib/atscntrb -DATS_MEMALLOC_LIBC -o $@ $< -lgmp
#
######

testall:: all
testall:: cleanall

######

RMF=rm -f

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c
clean:: ; $(RMF) *_?ats.o

######

cleanall:: clean
cleanall:: ; $(RMF) test01
cleanall:: ; $(RMF) test_find
cleanall:: ; $(RMF) test_which
cleanall:: ; $(RMF) test_download
cleanall:: ; $(RMF) test_lineto
cleanall:: ; $(RMF) test_intinf

###### end of [Makefile] ######

=== npm-utils/contrib/libats-/hwxi/teaching/mydraw2/TEST/Makefile ===
#
# A simple Makefile
#

######

EMCC=emcc

######

PATSHOMEQ="$(PATSHOME)"
PATSCONTRIBQ="$(PATSHOME)/npm-utils/contrib"

######

PATSCC=$(PATSHOMEQ)/bin/patscc
PATSOPT=$(PATSHOMEQ)/bin/patsopt

######

XRLIBS=`pkg-config cairo --libs`
XRCFLAGS=`pkg-config cairo --cflags`

######

.PHONY: all

######

all::
regress::
cleanall::

######
#
all:: \
test00
test00: \
test00.dats ; \
$(PATSCC) -I$(PATSCONTRIBQ) $(XRCFLAGS) -o $@ $< $(XRLIBS) -lm 
regress:: test00; ./$<
cleanall:: ; $(RMF) test00
#
######

testall:: all
testall:: regress
testall:: cleanall

######

RMF=rm -f

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.o
clean:: ; $(RMF) *_?ats.c

######

cleanall:: clean

###### end of [Makefile]

=== npm-utils/contrib/libats-/hwxi/teaching/myintinf/TEST/Makefile ===
######
#
# A simple Makefile
#
######

PATSHOMEQ="$(PATSHOME)"

######

PATSCC=$(PATSHOMEQ)/bin/patscc
PATSOPT=$(PATSHOMEQ)/bin/patsopt
PATSLIB=$(PATSHOMEQ)/ccomp/atslib/lib

######

all::

######
#
all:: \
test01_dats
test01_dats: \
test01.dats ; \
$(PATSCC) -O2 \
-I$(PATSHOME)/contrib -DATS_MEMALLOC_LIBC -o $@ $<
#
######
#
all:: \
test02_dats
test02_dats: \
test02.dats ; \
$(PATSCC) -O2 \
-I$(PATSHOME)/contrib -DATS_MEMALLOC_GCBDW -o $@ $< -lgc
#
######

regress:: test01_dats; ./$<
regress:: test02_dats; ./$<

######

testall:: all
testall:: regress
testall:: cleanall

######

RMF=rm -f

######

clean:: ; $(RMF) *~
clean:: ; $(RMF) *_?ats.c
clean:: ; $(RMF) *_?ats.o

######

cleanall:: clean
cleanall:: ; $(RMF) test01_dats
cleanall:: ; $(RMF) test02_dats

###### end of [Makefile] ######

=== debian/changelog ===
ats2-lang (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Source only upload (Closes: #952475)

 -- Matthew Danish <mrd@debian.org>  Tue, 10 Mar 2020 00:02:41 +0000

=== debian/control ===
Source: ats2-lang
Section: devel
Priority: optional
Maintainer: Matthew Danish <mrd@debian.org>
Build-Depends: debhelper (>= 10.0.0), libgmp-dev, dh-elpa (>= 0.0.17)
Standards-Version: 4.4.1.2
Homepage: http://www.ats-lang.org/
Vcs-Browser: https://salsa.debian.org/debian/ats2-lang
Vcs-Git: https://salsa.debian.org/debian/ats2-lang.git

Package: ats2-lang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgc-dev
Description: ATS version 2 programming language compiler
 ATS2 a.k.a. ATS/Postiats is a programming language with a highly expressive
 type system rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Postiats) is written in ATS (ATS/Anairiats) itself.
 It can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 In addition, ATS contains a component ATS/LF that supports a form of
 (interactive) theorem proving, where proofs are constructed as total
 functions. With this component, ATS advocates a programming style
 that combines programming with theorem proving. Furthermore, this
 component may be used as a logical framework to encode various
 deduction systems and their (meta-)properties.
 .
 This package contains the compiler patsopt and the frontend patscc.

Package: elpa-ats2-mode
Architecture: all
Section: lisp
Depends: ${misc:Depends}, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24, emacs25
Description: ATS version 2 programming language emacs mode
 ATS2 a.k.a. ATS/Postiats is a programming language with a highly expressive
 type system rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Postiats) is written in ATS (ATS/Anairiats) itself.
 It can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 This package contains the emacs mode for ATS2.

=== debian/watch ===
version=4
http://sf.net/ats2-lang/ATS2-Postiats-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
